Gtk_MenuItem(3)

NAME - Gtk_MenuItem

HEADER REQUIRED
#include <gtk--/menuitem.h&gt;>

BASE CLASSES
Gtk_Item(3)

DERIVED BY
Gtk_CheckMenuItem(3)

PUBLIC MEMBER INDEX
    Gtk_MenuItem();
    Gtk_MenuItem(GtkMenuItem *castitem);
    Gtk_MenuItem(const string &label);
    void  set_submenu(const Gtk_Menu &submenu);
    void  remove_submenu();
    void  set_placement(GtkSubmenuPlacement placement);
    void  configure(gint show_toggle_indicator, gint show_submenu_indicator);
    void  select();
    void  deselect();
    void  right_justify();
    signal void  activate(BaseObjectType);
    GtkMenuItem*  gtkobj();
    const GtkMenuItem*  gtkobj() const;
    static bool  isGtkMenuItem(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkMenuItem  BaseObjectType;
    typedef GtkMenuItemClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  activate_impl();

PRIVATE MEMBER INDEX
    static CppClassType  menu_item_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS